# classes/phing/tasks/ext/pdo/PDOResultFormatter.php

## \PDOResultFormatter
jump to top

Abstract

author
  Hans Lellelid
package
  phing.tasks.ext.pdo
since
  2.3.0

### Properties

`\Writer $out= ''`

Output writer.

Details

Type
  \Writer

### Methods

`close( ) :`
Perform any final tasks and Close the writer.
`getOutput( ) : \Writer`
Gets the output writer.
Returns

Type | Description
--- | ---
\Writer |

`getPreferredOutfile( ) : string`
abstractGets the preferred output filename for this formatter.
Returns

Type | Description
--- | ---
string |

`initialize( ) :`
Perform any initialization.
`processRow( array $row ) :`
abstractProcesses a specific row from PDO result set.
Parameters

Name | Type | Description
--- | --- | ---
$row | array | Row of PDO result set.

`setOutput( \Writer $out ) :`
Sets the output writer.
Parameters

Name | Type | Description
--- | --- | ---
$out | \Writer |

Documentation was generated by DocBlox 0.13.1.